import bpy
import importlib
from . import MdxParts

submodules = [
    MdxParts
]

classes = [
    # MdxParts.WarCraft3Attachment,
    # MdxParts.WarCraft3Bone,
    # MdxParts.WarCraft3CollisionShape,
    # MdxParts.WarCraft3Event,
    # MdxParts.WarCraft3GeosetAnimation,
    # MdxParts.WarCraft3GeosetTransformation,
    # MdxParts.WarCraft3Helper,
    # MdxParts.WarCraft3Layer,
    # MdxParts.WarCraft3Material,
    # MdxParts.WarCraft3MeshGeo,
    # MdxParts.WarCraft3Model,
    # MdxParts.WarCraft3Node,
    # MdxParts.WarCraft3Sequence,
    # MdxParts.WarCraft3Texture,
    # MdxParts.FaceFxEffect
]

def register():
    for module in submodules:
        importlib.reload(module)

    for cls in classes:
        bpy.utils.register_class(cls)

def unregister():
    for cls in reversed(classes):
        bpy.utils.unregister_class(cls)